### Function

# Gimp buffer_get_bytes

since: 2.4

#### Declaration [src]

    gint
    gimp_buffer_get_bytes (
      const gchar* buffer_name
    )

#### Description [src]

Retrieves the specified buffer’s bytes.

This procedure retrieves the specified named buffer’s bytes.

Available since: 2.4

#### Parameters

`buffer_name`

  Type: `const gchar*`

  The buffer name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gint`

The buffer bpp.